//
//  AccountActivity.swift
//  Tusker
//
//  Created by Shadowfacts on 9/5/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import UIKit

class AccountActivity: MastodonActivity {

    override class var activityCategory: UIActivity.Category {
        return .action
    }
    
    var account: AccountMO?
    
    override func canPerform(withActivityItems activityItems: [Any]) -> Bool {
        for case is AccountMO in activityItems {
            return true
        }
        return false
    }
    
    override func prepare(withActivityItems activityItems: [Any]) {
        for case let account as AccountMO in activityItems {
            self.account = account
            return
        }
    }
    
}
