//
//  HashtagTableViewCell.swift
//  Tusker
//
//  Created by Shadowfacts on 9/14/19.
//  Copyright © 2019 Shadowfacts. All rights reserved.
//

import UIKit
import Pachyderm

class HashtagTableViewCell: UITableViewCell {

    weak var delegate: TuskerNavigationDelegate?

    @IBOutlet weak var hashtagLabel: UILabel!
    
    var hashtag: Hashtag!

    func updateUI(hashtag: Hashtag) {
        self.hashtag = hashtag
        
        hashtagLabel.text = "#\(hashtag.name)"
    }

}

extension HashtagTableViewCell: SelectableTableViewCell {
    func didSelectCell() {
        delegate?.selected(tag: hashtag)
    }
}
